org.activiti.engine.identity

## Interface UserQuery

- All Superinterfaces:
    Query<UserQuery,User>

      public interface UserQuery
      extends Query<UserQuery,User>

  Allows programmatic querying of `User`
  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserQuery` | `memberOfGroup(String groupId)` Only select `User`s that belong to the given group.
    `UserQuery` | `orderByUserEmail()` Order by user email (needs to be followed by `Query.asc()` or `Query.desc()`).
    `UserQuery` | `orderByUserFirstName()` Order by user first name (needs to be followed by `Query.asc()` or `Query.desc()`).
    `UserQuery` | `orderByUserId()` Order by user id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `UserQuery` | `orderByUserLastName()` Order by user last name (needs to be followed by `Query.asc()` or `Query.desc()`).
    `UserQuery` | `potentialStarter(String procDefId)` Only select `User`S that are potential starter for the given process definition.
    `UserQuery` | `userEmail(String email)` Only those `User`s with the given email addres.
    `UserQuery` | `userEmailLike(String emailLike)` Only select `User`s where the email matches the given parameter.
    `UserQuery` | `userFirstName(String firstName)` Only select `User`s with the given firstName.
    `UserQuery` | `userFirstNameLike(String firstNameLike)` Only select `User`s where the first name matches the given parameter.
    `UserQuery` | `userFullNameLike(String fullNameLike)` Only select `User`s where the full name matches the given parameters.
    `UserQuery` | `userId(String id)` Only select `User`s with the given id/
    `UserQuery` | `userLastName(String lastName)` Only select `User`s with the given lastName.
    `UserQuery` | `userLastNameLike(String lastNameLike)` Only select `User`s where the last name matches the given parameter.

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### userId

          UserQuery userId(String id)

      Only select `User`s with the given id/

    - #### userFirstName

          UserQuery userFirstName(String firstName)

      Only select `User`s with the given firstName.

    - #### userFirstNameLike

          UserQuery userFirstNameLike(String firstNameLike)

      Only select `User`s where the first name matches the given parameter. The syntax is that of SQL, eg. %activivi%.

    - #### userLastName

          UserQuery userLastName(String lastName)

      Only select `User`s with the given lastName.

    - #### userLastNameLike

          UserQuery userLastNameLike(String lastNameLike)

      Only select `User`s where the last name matches the given parameter. The syntax is that of SQL, eg. %activivi%.

    - #### userFullNameLike

          UserQuery userFullNameLike(String fullNameLike)

      Only select `User`s where the full name matches the given parameters. Both the first name and last name will be tried, ie in semi-sql: where firstName like xxx or lastname like xxx

    - #### userEmail

          UserQuery userEmail(String email)

      Only those `User`s with the given email addres.

    - #### userEmailLike

          UserQuery userEmailLike(String emailLike)

      Only select `User`s where the email matches the given parameter. The syntax is that of SQL, eg. %activivi%.

    - #### memberOfGroup

          UserQuery memberOfGroup(String groupId)

      Only select `User`s that belong to the given group.

    - #### potentialStarter

          UserQuery potentialStarter(String procDefId)

      Only select `User`S that are potential starter for the given process definition.

    - #### orderByUserId

          UserQuery orderByUserId()

      Order by user id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByUserFirstName

          UserQuery orderByUserFirstName()

      Order by user first name (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByUserLastName

          UserQuery orderByUserLastName()

      Order by user last name (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByUserEmail

          UserQuery orderByUserEmail()

      Order by user email (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.